import { z } from 'zod';
export declare const etiquetaSchema: z.ZodObject<{
    id: z.ZodString;
    nombre: z.ZodString;
    grupoId: z.ZodString;
    tipo: z.ZodNativeEnum<{
        PERSONAL: "PERSONAL";
        EVENTO: "EVENTO";
        MODELO: "MODELO";
        TENTATIVA: "TENTATIVA";
    }>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id: string;
    created_at: string;
    updated_at: string;
    nombre: string;
    grupoId: string;
    tipo: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
}, {
    id: string;
    created_at: string;
    updated_at: string;
    nombre: string;
    grupoId: string;
    tipo: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
}>;
declare const EtiquetaDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    nombre: z.ZodString;
    grupoId: z.ZodString;
    tipo: z.ZodNativeEnum<{
        PERSONAL: "PERSONAL";
        EVENTO: "EVENTO";
        MODELO: "MODELO";
        TENTATIVA: "TENTATIVA";
    }>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id: string;
    created_at: string;
    updated_at: string;
    nombre: string;
    grupoId: string;
    tipo: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
}, {
    id: string;
    created_at: string;
    updated_at: string;
    nombre: string;
    grupoId: string;
    tipo: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
}>>;
export declare class EtiquetaDto extends EtiquetaDto_base {
}
export {};
